Bug 1564441 - SELinux is preventing automount from using the 'dac_override' capabilities.
Summary: SELinux is preventing automount from using the 'dac_override' capabilities.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c8fdcdcd46863c0746fdfe5ddcd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 09:54 UTC by Nils Philippsen
Modified: 2018-04-19 22:07 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.14.1-21.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-19 22:07:06 UTC
Type: ---


Attachments (Terms of Use)

Description Nils Philippsen 2018-04-06 09:54:55 UTC
Description of problem:
Accessed automounted NFS shares via /net/<host>/...
SELinux is preventing automount from using the 'dac_override' capabilities.

*****  Plugin dac_override (91.4 confidence) suggests   **********************

If you want to help identify if domain needs this access or you have a file with the wrong permissions on your system
Then turn on full auditing to get path information about the offending file and generate the error again.
Do

Turn on full auditing
# auditctl -w /etc/shadow -p w
Try to recreate AVC. Then execute
# ausearch -m avc -ts recent
If you see PATH record check ownership/permissions on file, and fix it,
otherwise report as a bugzilla.

*****  Plugin catchall (9.59 confidence) suggests   **************************

If you believe that automount should have the dac_override capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'automount' --raw | audit2allow -M my-automount
# semodule -X 300 -i my-automount.pp

Additional Information:
Source Context                system_u:system_r:automount_t:s0
Target Context                system_u:system_r:automount_t:s0
Target Objects                Unknown [ capability ]
Source                        automount
Source Path                   automount
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.1-19.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.16.0-300.fc28.x86_64 #1 SMP Tue
                              Apr 3 03:44:37 UTC 2018 x86_64 x86_64
Alert Count                   283
First Seen                    2018-04-05 11:21:23 CEST
Last Seen                     2018-04-06 11:51:33 CEST
Local ID                      32411f3b-55d4-439d-a712-5d789b4040bb

Raw Audit Messages
type=AVC msg=audit(1523008293.190:572): avc:  denied  { dac_override } for  pid=2375 comm="automount" capability=1  scontext=system_u:system_r:automount_t:s0 tcontext=system_u:system_r:automount_t:s0 tclass=capability permissive=0


Hash: automount,automount_t,automount_t,capability,dac_override

Version-Release number of selected component:
selinux-policy-3.14.1-19.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.4
hashmarkername: setroubleshoot
kernel:         4.16.0-300.fc28.x86_64
type:           libreport

Comment 1 Nils Philippsen 2018-04-10 18:40:53 UTC
Works for me with selinux-policy-3.14.1-20.fc28 from koji.

Comment 2 Fedora Update System 2018-04-16 11:34:14 UTC
selinux-policy-3.14.1-21.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1148ada2a3

Comment 3 Fedora Update System 2018-04-17 03:03:41 UTC
selinux-policy-3.14.1-21.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1148ada2a3

Comment 4 Fedora Update System 2018-04-19 22:07:06 UTC
selinux-policy-3.14.1-21.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.